%define upstream_name    Devel-OverloadInfo
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Introspect overloaded operators
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Package::Stash) >= 0.140.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Devel::OverloadInfo returns information about overload operators for a
given class (or object), including where in the inheritance hierarchy the
overloads are declared and where the code implementing it is.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-3.mga8
+ Revision: 1503847
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1282819
- Mageia 7 Mass Rebuild

* Mon Jan 22 2018 tv <tv> 0.5.0-1.mga7
+ Revision: 1195806
- update to 0.005

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1025544
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 969343
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 868366
- update to 0.004

* Thu Aug 13 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 864318
- update to 0.003

* Tue Jun 23 2015 shlomif <shlomif> 0.2.0-1.mga6
+ Revision: 840730
- Importing perl-Devel-OverloadInfo


* Tue Jun 23 2015 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
